This is an automated email from the ASF dual-hosted git repository.
arm pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/tooling-trusted-releases.git
The following commit(s) were added to refs/heads/main by this push:
new 35e8fc3 Add missing sections for local dev compose, and re-add syft
to Docker container
35e8fc3 is described below
commit 35e8fc32aeffcbb3746355de07cd33a85bd11212
Author: Alastair McFarlane <[email protected]>
AuthorDate: Wed Dec 10 16:18:43 2025 +0000
Add missing sections for local dev compose, and re-add syft to Docker
container
---
Dockerfile.alpine | 5 +++--
start-dev.sh | 16 ++++++++++++++++
2 files changed, 19 insertions(+), 2 deletions(-)
diff --git a/Dockerfile.alpine b/Dockerfile.alpine
index e05850e..5d7fb5d 100644
--- a/Dockerfile.alpine
+++ b/Dockerfile.alpine
@@ -70,8 +70,9 @@ COPY --from=builder /opt/atr/scripts ./scripts
COPY --from=builder /opt/atr/Makefile .
COPY --from=builder /opt/atr/alembic.ini .
COPY --from=builder /opt/atr/start-atr.sh .
+COPY --from=builder /opt/atr/start-dev.sh .
-RUN chmod +x ./start-atr.sh
+RUN chmod +x ./start-atr.sh && chmod +x ./start-dev.sh
# install additional tools
ENV RAT_VERSION=0.17
@@ -91,7 +92,7 @@ RUN java -version
# WORKDIR /var/run
# RUN GOPATH=/usr/local go install github.com/anchore/syft/cmd/[email protected]
-# RUN curl -sSfL
https://raw.githubusercontent.com/anchore/syft/main/install.sh | sh -s -- -b
/usr/local/bin
+RUN curl -sSfL https://raw.githubusercontent.com/anchore/syft/main/install.sh
| sh -s -- -b /usr/local/bin
# RUN git clone https://github.com/sbp/sbomasm && cd sbomasm &&
GOPATH=/usr/local go install ./...
# RUN GOPATH=/usr/local go install github.com/interlynk-io/[email protected]
RUN GOPATH=/usr/local go install github.com/snyk/[email protected]
diff --git a/start-dev.sh b/start-dev.sh
new file mode 100755
index 0000000..c9bba96
--- /dev/null
+++ b/start-dev.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -eu
+
+# shellcheck source=/dev/null
+source .venv/bin/activate
+
+test -d /opt/atr/state || mkdir -p /opt/atr/state
+
+if [ ! -f state/cert.pem ] || [ ! -f state/key.pem ]
+then
+ python3 scripts/generate-certificates
+fi
+
+echo "Starting hypercorn on ${BIND}" >> /opt/atr/state/hypercorn.log
+exec hypercorn --reload --bind "${BIND}" \
+ --keyfile key.pem --certfile cert.pem atr.server:app >>
/opt/atr/state/hypercorn.log 2>&1
---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]